Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Class ArrangeRequest

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gmf.runtime.diagram.ui.requests.ArrangeRequest

public class ArrangeRequest
extends Request

A request to arrange a set of elements.

Field Summary
`protected java.util.List` `editParts` List of `EditPart` objects
`protected java.util.List` `viewAdapters` List of `IView` objects

Constructor Summary
`ArrangeRequest(java.lang.String type)` Constructor for ArrangeRequest.
`ArrangeRequest(java.lang.String type, java.lang.String requestLayoutType)` Constructor for ArrangeRequest.

Method Summary
`java.lang.String` `getLayoutType()` Gets the LayoutType.
`java.util.List` `getPartsToArrange()` Gets the editparts to arrange.
`java.util.List` `getViewAdaptersToArrange()` Gets the view adapters for the views to arrange.
`void` `setPartsToArrange(java.util.List ep)` Sets the editparts to arrange.
`void` `setViewAdaptersToArrange(java.util.List va)` Sets the view adapters for the views to arrange.

Methods inherited from class org.eclipse.gef.Request
`getExtendedData, getType, setExtendedData, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editParts

    protected java.util.List editParts

  List of `EditPart` objects

### viewAdapters

    protected java.util.List viewAdapters

  List of `IView` objects

Constructor Detail

### ArrangeRequest

    public ArrangeRequest(java.lang.String type)

  Constructor for ArrangeRequest.

Parameters:
  `type` - the request type

### ArrangeRequest

    public ArrangeRequest(java.lang.String type,
                          java.lang.String requestLayoutType)

  Constructor for ArrangeRequest.

Parameters:
  `type` -
  `requestLayoutType` -

Method Detail

### setPartsToArrange

    public void setPartsToArrange(java.util.List ep)

  Sets the editparts to arrange.

  Parameters:
    `ep` - List of `EditPart` objects

### getPartsToArrange

    public java.util.List getPartsToArrange()

  Gets the editparts to arrange.

  Returns:
    List List of `EditPart` objects; null if this was never set

### setViewAdaptersToArrange

    public void setViewAdaptersToArrange(java.util.List va)

  Sets the view adapters for the views to arrange.

  Parameters:
    `va` - List of `IView` objects

### getViewAdaptersToArrange

    public java.util.List getViewAdaptersToArrange()

  Gets the view adapters for the views to arrange.

  Returns:
    List List of `IView` objects; null if this was never set

### getLayoutType

    public java.lang.String getLayoutType()

  Gets the LayoutType.

  Returns:
    LayoutType

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.